function covarianceGUI(SRC);

n=length(SRC);

global covarinput;
covarinput=SRC;

hfig=figure;
set(hfig,'Name','Параметры');

uicontrol('Style','text','Units','normalized','Position',[0.1 0.4 0.4 0.05],'String','Нормалізовувати (так/ні)');
handles.checkbox_donormalize=uicontrol('Style','checkbox','Units','normalized','Position',[0.5 0.4 0.3 0.05],'String','  ','Tag','donormalize');

uicontrol('Style','text','Units','normalized','Position',[0.1 0.9 0.2 0.05],'String','Довжина вікна:');
handles.edit_windowlength=uicontrol('Style','edit','Units','normalized','Position',[0.3 0.9 0.48 0.05],'String','250','Tag','windowlength');
uicontrol('Style','text','Units','normalized','Position',[0.1 0.6 0.5 0.05],'String','Довжина проміжку дискретизації:');
handles.edit_seriesdt=uicontrol('Style','edit','Units','normalized','Position',[0.6 0.6 0.3 0.05],'String','1','Tag','seriesdt');

uicontrol('Style','text','Units','normalized','Position',[0.1 0.8 0.5 0.05],'String','Змінити дискретизацію (розрідити ряд з кроком):');
handles.edit_seriesdtnew=uicontrol('Style','edit','Units','normalized','Position',[0.6 0.8 0.3 0.05],'String','1','Tag','seriesdtnew');

uicontrol('Style','text','Units','normalized','Position',[0.1 0.2 0.2 0.05],'String','Крок вікна:');
handles.edit_step=uicontrol('Style','edit','Units','normalized','Position',[0.3 0.2 0.48 0.05],'String','1');

guidata(hfig,handles);
ui_ok=uicontrol('Style','pushbutton','Units','normalized','Position',[0.8 0.05 0.2 0.05],'String','Ok','Callback',@sintrendOkGUI);




function sintrendOkGUI(hObject, eventdata, handles);
handles=guidata(gcbo);
%par=get(hObject,'Parent');
%childs=get(par,'Children');
sstep=str2double(get(handles.edit_step,'String'));
global npredict;
wind=str2double(get(handles.edit_windowlength,'String'));
dt=str2double(get(handles.edit_seriesdt,'String'));
dt_new=str2double(get(handles.edit_seriesdtnew,'String'));
donormalize=get(handles.checkbox_donormalize,'Value');
global covarinput;
covarinput_new=covarinput(1:dt_new:length(covarinput));
[ro,b,df,signlevel,sigma,hplank,stdx,stddx,stdxstddx,covxdx,pribkvadr]=geizenberg(covarinput_new,wind,sstep,donormalize);

n=length(covarinput_new);
dy=covarinput_new(2:n)-covarinput_new(1:n-1);
clear global covarinput;
global SERIES;
global SERIESINDEX;
global SERIESTYPE;
global SERIESSTAT;

    RES=ro;
    global HHANDLES;
    handles=HHANDLES;
    index=get(handles.listbox1,'Value');
    clear global HHANDLES;
    
    SERIESINDEX=SERIESINDEX+1;

    SERIES{SERIESINDEX}=RES;
    SERIESSTAT{SERIESINDEX}=getStat(RES);
    SERIESSTAT{SERIESINDEX}.fileName=SERIESSTAT{index}.fileName;
    SERIESTYPE{SERIESINDEX}=[char(SERIESTYPE{index}) ';Ro '];
    saveInfo(handles,SERIESSTAT{SERIESINDEX});
    CD=get(handles.listbox1,'String');
    [CDm,CDn]=size(CD);
    CD(CDm+1,:)='Автокор1';
    set(handles.listbox1,'String',CD);
    set(handles.listbox1,'Value',SERIESINDEX);
    SERIESINDEX=SERIESINDEX+1;
    
    
    RES=dy;
    SERIES{SERIESINDEX}=RES;
    SERIESSTAT{SERIESINDEX}=getStat(RES);
    SERIESSTAT{SERIESINDEX}.fileName=SERIESSTAT{index}.fileName;
    SERIESTYPE{SERIESINDEX}=[char(SERIESTYPE{index}) ';DFF'];
    saveInfo(handles,SERIESSTAT{SERIESINDEX});
    CD=get(handles.listbox1,'String');
    [CDm,CDn]=size(CD);
    CD(CDm+1,:)='Скорости';
    set(handles.listbox1,'String',CD);
    set(handles.listbox1,'Value',SERIESINDEX);
    SERIESINDEX=SERIESINDEX+1;
    
    RES=abs(df);
    SERIES{SERIESINDEX}=RES;
    SERIESSTAT{SERIESINDEX}=getStat(RES);
    SERIESSTAT{SERIESINDEX}.fileName=SERIESSTAT{index}.fileName;
    SERIESTYPE{SERIESINDEX}=[char(SERIESTYPE{index}) ';DFF'];
    saveInfo(handles,SERIESSTAT{SERIESINDEX});
    CD=get(handles.listbox1,'String');
    [CDm,CDn]=size(CD);
    CD(CDm+1,:)='ДФТестСт';
    set(handles.listbox1,'String',CD);
    set(handles.listbox1,'Value',SERIESINDEX);
    SERIESINDEX=SERIESINDEX+1;

    
    RES=hplank;
    SERIES{SERIESINDEX}=RES;
    SERIESSTAT{SERIESINDEX}=getStat(RES);
    SERIESSTAT{SERIESINDEX}.fileName=SERIESSTAT{index}.fileName;
    SERIESTYPE{SERIESINDEX}=[char(SERIESTYPE{index}) ';HPK'];
    saveInfo(handles,SERIESSTAT{SERIESINDEX});
    CD=get(handles.listbox1,'String');
    [CDm,CDn]=size(CD);
    CD(CDm+1,:)='Планк   ';
    set(handles.listbox1,'String',CD);
    set(handles.listbox1,'Value',SERIESINDEX);
    SERIESINDEX=SERIESINDEX+1;
    
       
 if(0)    
    RES=stdx;
    SERIES{SERIESINDEX}=RES;
    SERIESSTAT{SERIESINDEX}=getStat(RES);
    SERIESSTAT{SERIESINDEX}.fileName=SERIESSTAT{index}.fileName;
    SERIESTYPE{SERIESINDEX}=[char(SERIESTYPE{index}) ';STD'];
    saveInfo(handles,SERIESSTAT{SERIESINDEX});
    CD=get(handles.listbox1,'String');
    [CDm,CDn]=size(CD);
    CD(CDm+1,:)='СтОтклРд';
    set(handles.listbox1,'String',CD);
    set(handles.listbox1,'Value',SERIESINDEX);
    SERIESINDEX=SERIESINDEX+1;    

    RES=stddx;
    SERIES{SERIESINDEX}=RES;
    SERIESSTAT{SERIESINDEX}=getStat(RES);
    SERIESSTAT{SERIESINDEX}.fileName=SERIESSTAT{index}.fileName;
    SERIESTYPE{SERIESINDEX}=[char(SERIESTYPE{index}) ';SDD'];
    saveInfo(handles,SERIESSTAT{SERIESINDEX});
    CD=get(handles.listbox1,'String');
    [CDm,CDn]=size(CD);
    CD(CDm+1,:)='СтОтклСк';
    set(handles.listbox1,'String',CD);
    set(handles.listbox1,'Value',SERIESINDEX);
    SERIESINDEX=SERIESINDEX+1;    
end
    RES=stdxstddx;
    SERIES{SERIESINDEX}=RES;
    SERIESSTAT{SERIESINDEX}=getStat(RES);
    SERIESSTAT{SERIESINDEX}.fileName=SERIESSTAT{index}.fileName;
    SERIESTYPE{SERIESINDEX}=[char(SERIESTYPE{index}) ';HPE'];
    saveInfo(handles,SERIESSTAT{SERIESINDEX});
    CD=get(handles.listbox1,'String');
    [CDm,CDn]=size(CD);
    CD(CDm+1,:)='ПланкЭмп';
    set(handles.listbox1,'String',CD);
    set(handles.listbox1,'Value',SERIESINDEX);
    SERIESINDEX=SERIESINDEX+1;    

    RES=pribkvadr/(dt*dt_new);
    SERIES{SERIESINDEX}=RES;
    SERIESSTAT{SERIESINDEX}=getStat(RES);
    SERIESSTAT{SERIESINDEX}.fileName=SERIESSTAT{index}.fileName;
    SERIESTYPE{SERIESINDEX}=[char(SERIESTYPE{index}) ';ОPE'];
    saveInfo(handles,SERIESSTAT{SERIESINDEX});
    CD=get(handles.listbox1,'String');
    [CDm,CDn]=size(CD);
    CD(CDm+1,:)='Планк/dt';
    set(handles.listbox1,'String',CD);
    set(handles.listbox1,'Value',SERIESINDEX);

    
    if get(handles.checkbox1,'Value')==get(handles.checkbox1,'Max')
        figure;
        plot(RES);
    end
    close(gcf);
